package com.horizon.wf.util.dto;


import java.io.Serializable;
import java.util.Date;

/**
 * 完成待办
 *
 * @author sangxiaoming
 */
public class WbCompleteTodoDto implements Serializable {

    private String id;
    /**
     * 任务指派处理人 必填
     */
    private String assignee;
    /**
     * 任务所属业务类型代码
     */
    private String bizTypeCode = "general";
    /**
     * 来源系统代码
     */
    private String srcSystemCode = "JLYYPT";
    /**
     * 任务实例id
     */
    private String taskInstId;
    /**
     * 批注信息
     */
    private String commentInfo;
    /**
     * 结束用户
     */
    private String finishUser;


    /*辅助字段*/
    private Date pushTime;
    private String pushFlag;

    public WbCompleteTodoDto() {
    }

    public WbCompleteTodoDto(String id, String assignee, String bizTypeCode, String srcSystemCode, String taskInstId, String commentInfo, String finishUser, Date pushTime, String pushFlag) {
        this.id = id;
        this.assignee = assignee;
        this.bizTypeCode = bizTypeCode;
        this.srcSystemCode = srcSystemCode;
        this.taskInstId = taskInstId;
        this.commentInfo = commentInfo;
        this.finishUser = finishUser;
        this.pushTime = pushTime;
        this.pushFlag = pushFlag;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAssignee() {
        return assignee;
    }

    public void setAssignee(String assignee) {
        this.assignee = assignee;
    }

    public String getBizTypeCode() {
        return bizTypeCode;
    }

    public void setBizTypeCode(String bizTypeCode) {
        this.bizTypeCode = bizTypeCode;
    }

    public String getSrcSystemCode() {
        return srcSystemCode;
    }

    public void setSrcSystemCode(String srcSystemCode) {
        this.srcSystemCode = srcSystemCode;
    }

    public String getTaskInstId() {
        return taskInstId;
    }

    public void setTaskInstId(String taskInstId) {
        this.taskInstId = taskInstId;
    }

    public String getCommentInfo() {
        return commentInfo;
    }

    public void setCommentInfo(String commentInfo) {
        this.commentInfo = commentInfo;
    }

    public String getFinishUser() {
        return finishUser;
    }

    public void setFinishUser(String finishUser) {
        this.finishUser = finishUser;
    }

    public Date getPushTime() {
        return pushTime;
    }

    public void setPushTime(Date pushTime) {
        this.pushTime = pushTime;
    }

    public String getPushFlag() {
        return pushFlag;
    }

    public void setPushFlag(String pushFlag) {
        this.pushFlag = pushFlag;
    }
}
